#  Copyright (C) 2020, 2019 Girish M
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
# 
n = input("enter a number")
def fib(n):
    num1 = 1
    num2 = 1
    fibonacci = 1
    while n>0:
        if n<=2:
            fibonacci = 1
        else:
            fibonacci = num2+num1
            print(fibonacci)
            num1 = num2
            num2 = fibonacci
        n = n-1

fib(n)
